Subject: shred let me kill a mounted device

From: macetw <[email-masked]>
Date: Wed, 3 Sep 2014 06:32:19 -0700 (PDT)

It was a sad day for me yesterday, when I discovered that I accidentally
shred'ed my /home.

I expect the shred utility to notice that it's about to operate on a mounted
device, but it gave no such indication. Maybe an interactive prompt, like
"this disk is connected by USB | SATA | IDE" or "this disk is 250G in size",
some sanity check, and then a prompt, "Are you sure?" If disks are mounted,
it would say so.

Oh, my stuff is gone. <sad face>

--
View this message in context: http://gnu-coreutils.7620.n7.nabble.com/shred-let-me-kill-a-mounted-device-tp23338.html
Sent from the Gnu - Coreutils - Discuss mailing list archive at Nabble.com.